be.fgov.ehealth.commons.protocol.v2

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.commons.protocol.v2 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons.protocol.v2

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthorPaginationRequestType` | `createAuthorPaginationRequestType()` Create an instance of `AuthorPaginationRequestType`
    `AuthorRequestType` | `createAuthorRequestType()` Create an instance of `AuthorRequestType`
    `PaginationRequestType` | `createPaginationRequestType()` Create an instance of `PaginationRequestType`
    `PaginationResponseType` | `createPaginationResponseType()` Create an instance of `PaginationResponseType`
    `PaginationStatusResponseType` | `createPaginationStatusResponseType()` Create an instance of `PaginationStatusResponseType`
    `RequestType` | `createRequestType()` Create an instance of `RequestType`
    `ResponseType` | `createResponseType()` Create an instance of `ResponseType`
    `StatusResponseType` | `createStatusResponseType()` Create an instance of `StatusResponseType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons.protocol.v2

  - ### Method Detail

    - #### createRequestType

          public RequestType createRequestType()

      Create an instance of `RequestType`

    - #### createAuthorRequestType

          public AuthorRequestType createAuthorRequestType()

      Create an instance of `AuthorRequestType`

    - #### createPaginationRequestType

          public PaginationRequestType createPaginationRequestType()

      Create an instance of `PaginationRequestType`

    - #### createAuthorPaginationRequestType

          public AuthorPaginationRequestType createAuthorPaginationRequestType()

      Create an instance of `AuthorPaginationRequestType`

    - #### createResponseType

          public ResponseType createResponseType()

      Create an instance of `ResponseType`

    - #### createStatusResponseType

          public StatusResponseType createStatusResponseType()

      Create an instance of `StatusResponseType`

    - #### createPaginationResponseType

          public PaginationResponseType createPaginationResponseType()

      Create an instance of `PaginationResponseType`

    - #### createPaginationStatusResponseType

          public PaginationStatusResponseType createPaginationStatusResponseType()

      Create an instance of `PaginationStatusResponseType`

Connector Packaging PERSPRACTICALNURSE 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.